Package org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.security.impl.PermissionFilterImpl
            - - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl

- All Implemented Interfaces:
    `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `PermissionFilter`, `ResourceFilter`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

      public class ResourceFilterImpl
      extends PermissionFilterImpl
      implements ResourceFilter

  An implementation of the model object 'Resource Filter'.
  Since:
    4.3

    The following features are implemented:

    - `Path`
    - `Pattern Style`
    - `Folders`
    - `Text Resources`
    - `Binary Resources`
    - `Model Resources`
    - `Model Objects`
    - `Include Parents`
    - `Include Root`
  Generated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `ResourceFilterImpl.AntMatcher` |
    `protected static class` | `ResourceFilterImpl.ExactMatcher` |
    `static interface` | `ResourceFilterImpl.Matcher` | Matches the path of a `resource node`.
    `protected static class` | `ResourceFilterImpl.PathMatcher` | Matches the path of a `resource node` against a `ResourceFilterImpl.PathMatcher.path` string.
    `protected static class` | `ResourceFilterImpl.RegexMatcher` |
    `protected static class` | `ResourceFilterImpl.TreeMatcher` |

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ResourceFilterImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `protected boolean` | `filter​(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)` |
    `java.lang.String` | `format()` |
    `protected java.lang.String` | `formatOperator()` |
    `java.lang.String` | `getPath()`
    `PatternStyle` | `getPatternStyle()`
    `boolean` | `isBinaryResources()`
    `boolean` | `isFolders()`
    `boolean` | `isImpacted​(PermissionImpl.CommitImpactContext context)` |
    `boolean` | `isIncludeParents()`
    `boolean` | `isIncludeRoot()`
    `boolean` | `isModelObjects()`
    `boolean` | `isModelResources()`
    `static boolean` | `isResourceTreeImpacted​(PermissionImpl.CommitImpactContext context)` |
    `boolean` | `isTextResources()`
    `ResourceFilter` | `setBinaryResources​(boolean newBinaryResources)`
    `ResourceFilter` | `setFolders​(boolean newFolders)`
    `ResourceFilter` | `setIncludeParents​(boolean newIncludeParents)`
    `ResourceFilter` | `setIncludeRoot​(boolean newIncludeRoot)`
    `ResourceFilter` | `setModelObjects​(boolean newModelObjects)`
    `ResourceFilter` | `setModelResources​(boolean newModelResources)`
    `ResourceFilter` | `setPath​(java.lang.String newPath)`
    `ResourceFilter` | `setPatternStyle​(PatternStyle newPatternStyle)`
    `ResourceFilter` | `setTextResources​(boolean newTextResources)`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.PermissionFilterImpl

      `eStaticFeatureCount, getUser, isApplicable`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `isApplicable`

- - ### Constructor Detail

    - #### ResourceFilterImpl

          protected ResourceFilterImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `PermissionFilterImpl`
      Generated

    - #### getPath

          public java.lang.String getPath()

      Specified by:
        `getPath` in interface `ResourceFilter`
      Returns:
        the value of the 'Path' attribute.
      See Also:
        `ResourceFilter.setPath(String)`, `SecurityPackage.getResourceFilter_Path()`
      Generated

    - #### setPath

          public ResourceFilter setPath​(java.lang.String newPath)

      Specified by:
        `setPath` in interface `ResourceFilter`
      Parameters:
        `newPath` - the new value of the 'Path' attribute.
      See Also:
        `ResourceFilter.getPath()`
      Generated
        NOT

    - #### getPatternStyle

          public PatternStyle getPatternStyle()

      Specified by:
        `getPatternStyle` in interface `ResourceFilter`
      Returns:
        the value of the 'Pattern Style' attribute.
      See Also:
        `PatternStyle`, `ResourceFilter.setPatternStyle(PatternStyle)`, `SecurityPackage.getResourceFilter_PatternStyle()`
      Generated

    - #### setPatternStyle

          public ResourceFilter setPatternStyle​(PatternStyle newPatternStyle)

      Specified by:
        `setPatternStyle` in interface `ResourceFilter`
      Parameters:
        `newPatternStyle` - the new value of the 'Pattern Style' attribute.
      See Also:
        `PatternStyle`, `ResourceFilter.getPatternStyle()`
      Generated
        NOT

    - #### isFolders

          public boolean isFolders()

      Specified by:
        `isFolders` in interface `ResourceFilter`
      Returns:
        the value of the 'Folders' attribute.
      See Also:
        `ResourceFilter.setFolders(boolean)`, `SecurityPackage.getResourceFilter_Folders()`
      Generated

    - #### setFolders

          public ResourceFilter setFolders​(boolean newFolders)

      Specified by:
        `setFolders` in interface `ResourceFilter`
      Parameters:
        `newFolders` - the new value of the 'Folders' attribute.
      See Also:
        `ResourceFilter.isFolders()`
      Generated
        NOT

    - #### isModelResources

          public boolean isModelResources()

      Specified by:
        `isModelResources` in interface `ResourceFilter`
      Returns:
        the value of the 'Model Resources' attribute.
      See Also:
        `ResourceFilter.setModelResources(boolean)`, `SecurityPackage.getResourceFilter_ModelResources()`
      Generated

    - #### setModelResources

          public ResourceFilter setModelResources​(boolean newModelResources)

      Specified by:
        `setModelResources` in interface `ResourceFilter`
      Parameters:
        `newModelResources` - the new value of the 'Model Resources' attribute.
      See Also:
        `ResourceFilter.isModelResources()`
      Generated
        NOT

    - #### isModelObjects

          public boolean isModelObjects()

      Specified by:
        `isModelObjects` in interface `ResourceFilter`
      Returns:
        the value of the 'Model Objects' attribute.
      See Also:
        `ResourceFilter.setModelObjects(boolean)`, `SecurityPackage.getResourceFilter_ModelObjects()`
      Generated

    - #### setModelObjects

          public ResourceFilter setModelObjects​(boolean newModelObjects)

      Specified by:
        `setModelObjects` in interface `ResourceFilter`
      Parameters:
        `newModelObjects` - the new value of the 'Model Objects' attribute.
      See Also:
        `ResourceFilter.isModelObjects()`
      Generated
        NOT

    - #### isIncludeParents

          public boolean isIncludeParents()

      Specified by:
        `isIncludeParents` in interface `ResourceFilter`
      Returns:
        the value of the 'Include Parents' attribute.
      See Also:
        `ResourceFilter.setIncludeParents(boolean)`, `SecurityPackage.getResourceFilter_IncludeParents()`
      Generated

    - #### setIncludeParents

          public ResourceFilter setIncludeParents​(boolean newIncludeParents)

      Specified by:
        `setIncludeParents` in interface `ResourceFilter`
      Parameters:
        `newIncludeParents` - the new value of the 'Include Parents' attribute.
      See Also:
        `ResourceFilter.isIncludeParents()`
      Generated
        NOT

    - #### isIncludeRoot

          public boolean isIncludeRoot()

      Specified by:
        `isIncludeRoot` in interface `ResourceFilter`
      Returns:
        the value of the 'Include Root' attribute.
      See Also:
        `ResourceFilter.setIncludeRoot(boolean)`, `SecurityPackage.getResourceFilter_IncludeRoot()`
      Generated

    - #### setIncludeRoot

          public ResourceFilter setIncludeRoot​(boolean newIncludeRoot)

      Specified by:
        `setIncludeRoot` in interface `ResourceFilter`
      Parameters:
        `newIncludeRoot` - the new value of the 'Include Root' attribute.
      See Also:
        `ResourceFilter.isIncludeRoot()`
      Generated
        NOT

    - #### isTextResources

          public boolean isTextResources()

      Specified by:
        `isTextResources` in interface `ResourceFilter`
      Returns:
        the value of the 'Text Resources' attribute.
      See Also:
        `ResourceFilter.setTextResources(boolean)`, `SecurityPackage.getResourceFilter_TextResources()`
      Generated

    - #### setTextResources

          public ResourceFilter setTextResources​(boolean newTextResources)

      Specified by:
        `setTextResources` in interface `ResourceFilter`
      Parameters:
        `newTextResources` - the new value of the 'Text Resources' attribute.
      See Also:
        `ResourceFilter.isTextResources()`
      Generated
        NOT

    - #### isBinaryResources

          public boolean isBinaryResources()

      Specified by:
        `isBinaryResources` in interface `ResourceFilter`
      Returns:
        the value of the 'Binary Resources' attribute.
      See Also:
        `ResourceFilter.setBinaryResources(boolean)`, `SecurityPackage.getResourceFilter_BinaryResources()`
      Generated

    - #### setBinaryResources

          public ResourceFilter setBinaryResources​(boolean newBinaryResources)

      Specified by:
        `setBinaryResources` in interface `ResourceFilter`
      Parameters:
        `newBinaryResources` - the new value of the 'Binary Resources' attribute.
      See Also:
        `ResourceFilter.isBinaryResources()`
      Generated
        NOT

    - #### isImpacted

          public boolean isImpacted​(PermissionImpl.CommitImpactContext context)

      Specified by:
        `isImpacted` in interface `PermissionFilter`

    - #### format

          public java.lang.String format()

      Specified by:
        `format` in interface `PermissionFilter`

    - #### formatOperator

          protected java.lang.String formatOperator()

    - #### filter

          protected boolean filter​(CDORevision revision,
                                   CDORevisionProvider revisionProvider,
                                   CDOBranchPoint securityContext,
                                   int level)
                            throws java.lang.Exception

      Specified by:
        `filter` in class `PermissionFilterImpl`
      Throws:
        `java.lang.Exception`

    - #### isResourceTreeImpacted

          public static boolean isResourceTreeImpacted​(PermissionImpl.CommitImpactContext context)